Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Реально ли скомпилировать гимп 2.8 для Ubuntu 10.04  (Прочитано 1004 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн brenti

  • Автор темы
  • Активист
  • *
  • Сообщений: 485
    • Просмотр профиля
Не считаю себя консервативным человеком, но Ubuntu 10.04 работает так хорошо, что и ненужно ничего другого ;) На той недели пробовал установить 14.04, всё скачал, всё обновил, даже всё настроил - принтер, сканер, приплыли обновления для нвидиа - установились, теперь Ubuntu 14.04 не включается в графическом режиме ;D пляски с бубном как-то сейчас не заводят меня, да и тестировал на отдельном харде, так, что теперь я снова на 10.04, да и вообще меня всё устраивает в ней - сегодня ещё установил мозилу последней версии из архива тар.гз, а вот гимп - неособо меня радует, хочется новой версии в однооконном режиме, возможно ли установить из исходников? кто-то уже пробовал? или это так же осуществимо как посадить яблоню на марсе, теоретически возможно, но лучше не практиковаться?)))

Оффлайн rubyongirls

  • Новичок
  • *
  • Сообщений: 33
  • люблю rails
    • Просмотр профиля
Не считаю себя консервативным человеком, но Ubuntu 10.04 работает так хорошо, что и ненужно ничего другого ;) На той недели пробовал установить 14.04, всё скачал, всё обновил, даже всё настроил - принтер, сканер, приплыли обновления для нвидиа - установились, теперь Ubuntu 14.04 не включается в графическом режиме ;D пляски с бубном как-то сейчас не заводят меня, да и тестировал на отдельном харде, так, что теперь я снова на 10.04, да и вообще меня всё устраивает в ней - сегодня ещё установил мозилу последней версии из архива тар.гз, а вот гимп - неособо меня радует, хочется новой версии в однооконном режиме, возможно ли установить из исходников? кто-то уже пробовал? или это так же осуществимо как посадить яблоню на марсе, теоретически возможно, но лучше не практиковаться?)))
Его можно завести на 10.04, причём работать будет на ура - собственный опыт.
Если что, известная тема в помощь на англоязычном форуме http://ubuntuforums.org/showthread.php?t=1982183
Обожаю гулять по сети с отключённым JS. Сразу всё так гладко и быстро начинает работать.

Оффлайн brenti

  • Автор темы
  • Активист
  • *
  • Сообщений: 485
    • Просмотр профиля
Не считаю себя консервативным человеком, но Ubuntu 10.04 работает так хорошо, что и ненужно ничего другого ;) На той недели пробовал установить 14.04, всё скачал, всё обновил, даже всё настроил - принтер, сканер, приплыли обновления для нвидиа - установились, теперь Ubuntu 14.04 не включается в графическом режиме ;D пляски с бубном как-то сейчас не заводят меня, да и тестировал на отдельном харде, так, что теперь я снова на 10.04, да и вообще меня всё устраивает в ней - сегодня ещё установил мозилу последней версии из архива тар.гз, а вот гимп - неособо меня радует, хочется новой версии в однооконном режиме, возможно ли установить из исходников? кто-то уже пробовал? или это так же осуществимо как посадить яблоню на марсе, теоретически возможно, но лучше не практиковаться?)))
Его можно завести на 10.04, причём работать будет на ура - собственный опыт.
Если что, известная тема в помощь на англоязычном форуме http://ubuntuforums.org/showthread.php?t=1982183
Думаю уже не нужно! :D нашел ППА однооконного гимпа версии 2.7.2
$ sudo apt-add-repository ppa:matthaeus123/mrw-gimp-svn
$ sudo apt-get update
$ sudo apt-get install gimp




Тему наверное, можно закрывать)))

Оффлайн rubyongirls

  • Новичок
  • *
  • Сообщений: 33
  • люблю rails
    • Просмотр профиля
2.7.2 != 2.8, по крайней мере, отличий порядочно.
Обожаю гулять по сети с отключённым JS. Сразу всё так гладко и быстро начинает работать.

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
Не считаю себя консервативным человеком, но Ubuntu 10.04 работает так хорошо, что и ненужно ничего другого ;) На той недели пробовал установить 14.04, всё скачал, всё обновил, даже всё настроил - принтер, сканер, приплыли обновления для нвидиа - установились, теперь Ubuntu 14.04 не включается в графическом режиме ;D пляски с бубном как-то сейчас не заводят меня, да и тестировал на отдельном харде, так, что теперь я снова на 10.04, да и вообще меня всё устраивает в ней - сегодня ещё установил мозилу последней версии из архива тар.гз, а вот гимп - неособо меня радует, хочется новой версии в однооконном режиме, возможно ли установить из исходников? кто-то уже пробовал? или это так же осуществимо как посадить яблоню на марсе, теоретически возможно, но лучше не практиковаться?)))

Лучше поставить 14.04, потом нормально вручную драйвер нвидии, что бы ничего из кривых ppa не прилетало больше и жить спокойно с актуальным софтом.

Оффлайн brenti

  • Автор темы
  • Активист
  • *
  • Сообщений: 485
    • Просмотр профиля
Лучше поставить 14.04, потом нормально вручную драйвер нвидии, что бы ничего из кривых ppa не прилетало больше и жить спокойно с актуальным софтом.

[/quote]

Спокойно жить? это не вдухе философии линукса)))) поддержка 10.04 обновлений безопасности закочится в апреле 2015, а у 14.04 ещё рекомендуемые обновления будут прилывать каждый день, и через какой-то день снова может случится так, что система просто незагрузится)) а мне такие сюрпризы не нужны, а установить 14.04 и отключить обновления - то же самое, что остаться на 10.04) я уже более 5 лет, дружу с линуксами и знаю, что стабильными они становятся тогда когда поддержка лтс вот-вот заканчивается:D

Пользователь решил продолжить мысль [time]03 Ноябрь 2014, 00:11:10[/time]:
2.7.2 != 2.8, по крайней мере, отличий порядочно.
Сборка немного бутафорская попалась, после выхода из программы не сохраняются настройки, а именно однооконный режим, приходится мышкой тыкать снова))) ну покрайней мере терпимо, три раза в неделю прогу открываю, думаю не сильно бесить будет:)

Пользователь решил продолжить мысль 02 Ноябрь 2014, 23:16:13:
Его можно завести на 10.04, причём работать будет на ура - собственный опыт.
Если что, известная тема в помощь на англоязычном форуме http://ubuntuforums.org/showthread.php?t=1982183

Наверное всё таки завтра попробую скомпилировать по вашей ссылке, один хрен завтра выходной, спасибо!
« Последнее редактирование: 02 Ноябрь 2014, 23:16:13 от brenti »

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
поддержка 10.04 обновлений безопасности закочится в апреле 2015
У серверной версии. А для рабочих станций уже почти 2 года как не выпускаются.

14.04 ещё рекомендуемые обновления будут прилывать каждый день, и через какой-то день снова может случится так, что система просто незагрузится))
Уже давно не прилетает каждый день, а ключевые компоненты системы, из-за которых может не загрузиться (а это вряд ли), и того реже обновляются.
« Последнее редактирование: 03 Ноябрь 2014, 15:02:43 от lin_user »

Оффлайн www777

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 2730
    • Просмотр профиля
Для автора видимо понятие стабильность, это когда отсутствуют обновления, в том числе и безопасности. Ну если так, отключите тогда себе обновления вообще, я конечно не советую, но если вам так нравится...

Оффлайн brenti

  • Автор темы
  • Активист
  • *
  • Сообщений: 485
    • Просмотр профиля
Для автора видимо понятие стабильность, это когда отсутствуют обновления, в том числе и безопасности. Ну если так, отключите тогда себе обновления вообще, я конечно не советую, но если вам так нравится...
Для автора видимо понятие стабильность, это когда отсутствуют обновления, в том числе и безопасности. Ну если так, отключите тогда себе обновления вообще, я конечно не советую, но если вам так нравится...
обновления безопасности ещё не разу не ломали систему в моей практики)))

Кстати уже нашёл скомпилированный гимп 2.8.2 на Ubuntu 10.04 скачать можно тут http://crypt47.blogspot.ru/2012/11/gimp-282-for-ubuntu-1004.html всего-то нужно распаховать и переместить в папку в /opt/ и ещё на удивление запускается очень быстро :-)



Пользователь решил продолжить мысль 03 Ноябрь 2014, 16:12:26:
И на последок, читал как-то в сети про интересную статью про "болезнь" гоняться за последнии версиями софта и использовать только актуальное ПО, так вот да-да кому-то насрать на эти последние версии, кому-то достаточно стабильной работы текущего софта, а на счет безопасности думаю тут говорить нечего, на вин7 со всеми последними обновлениями и самым лучшим антивирусом и моей убунтой 10.04 поддержка которой вот-вот закончится и сравнивать нечего в этом плане, а если эту тему расшарить то вообщето в мире нет на 100% защищенных систем, во всем можно найти дыру :)
« Последнее редактирование: 03 Ноябрь 2014, 16:12:26 от brenti »

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
У 10.04 поддержка закончилась в 2013 году. Серверная версия - исключение. Но у вас же не серверная, правда? 14.04 стабильна, иначе бы не называлалсь лтс. Какой-нибудь левый ppa скорее сломает систему, чем из официальных реп прилетит что-то. 14.10 никто не призывает ставить.

Если нравится возиться с компиляцией софта и ручным разруливанием зависимостей, то можно хоть 8.04 ставить.

Оффлайн brenti

  • Автор темы
  • Активист
  • *
  • Сообщений: 485
    • Просмотр профиля
У 10.04 поддержка закончилась в 2013 году. Серверная версия - исключение. Но у вас же не серверная, правда? 14.04 стабильна, иначе бы не называлалсь лтс. Какой-нибудь левый ppa скорее сломает систему, чем из официальных реп прилетит что-то. 14.10 никто не призывает ставить.

Если нравится возиться с компиляцией софта и ручным разруливанием зависимостей, то можно хоть 8.04 ставить.

нет у меня десктопная, но обновления для ядер и безопасности до сих пор приходят, я так понимаю некторые компоненты Ubuntu входят как в десктоп так и в серверную версии и ядро относится к этим компонентам.

Пользователь решил продолжить мысль [time]03 Ноябрь 2014, 17:45:45[/time]:
.... 14.04 стабильна, иначе бы не называлалсь лтс ..

Вы ещё верите этим абревиатурам "лтс" ? то, что написано, не значит, что так оно и есть)))) скорее это говорит не о стабильности, а долгосрочной поддержке (да и вообще дословно это говорит о долгосрочной поддержке)  ;D *упс
« Последнее редактирование: 03 Ноябрь 2014, 16:47:44 от brenti »

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
Зачем мне верить, когда сам могу наблюдать? Всю жизнь сижу на лтс. В lts-релизы помимо прочего не отправляют всякие ломающие обновления. Для обкатки есть обычный релиз.

Да ну, чего спорить? В конце концов, это не мне вручную собирать свежие версии  :)
« Последнее редактирование: 03 Ноябрь 2014, 17:15:37 от lin_user »

Оффлайн Igor_ubuntu

  • Участник
  • *
  • Сообщений: 100
    • Просмотр профиля
Не считаю себя консервативным человеком, но Ubuntu 10.04 работает так хорошо, что и ненужно ничего другого
А я до сих пор на 10.10 сижу. И не вижу веских поводов съезжать. гимп не смотрел, но новые:
smplayer/smtube, umplayer, cinelerra, много мелкого софта - компилируются на ура.
новые опеншот,flowblade, Blender 2.72b, ocenaudio,  браузеры (ффокс, симанки, qupzilla, slimboat), XnView.. и компилировать не нужно.
LiVES подымается - взял готовый пакет из репов AVLinux. Но тут несколько плагинов работать уже не будут.
Цитировать
Вы ещё верите этим абревиатурам "лтс" ? то, что написано, не значит, что так оно и есть)))) скорее это говорит не о стабильности, а долгосрочной поддержке (да и вообще дословно это говорит о долгосрочной поддержке)
+1 :-)
Цитировать
Всю жизнь сижу на лтс. В lts-релизы помимо прочего не отправляют всякие ломающие обновления

да ладно.. мы тоже не вчера родились. и в lts косячат, а потом в не-lts исправляют..

Цитировать
www777
Для автора видимо понятие стабильность, это когда отсутствуют обновления
А не ёрничал-бы ты. А то не ровён час - приедет обновление.. Тут большая часть форума горючими слезами от обновлений полита.

У 10.04 поддержка закончилась в 2013 году...
Если нравится возиться с компиляцией софта и ручным разруливанием зависимостей, то можно ...

с ручным разруливанием.. подключил старые репы ( они на сервере старых релизов) и большая часть зависимостей снова автоматом.
« Последнее редактирование: 04 Ноябрь 2014, 15:08:31 от Igor_ubuntu »

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
с ручным разруливанием.. подключил старые репы ( они на сервере старых релизов) и большая часть зависимостей снова автоматом.
Это справедливо, когда версии зависимостей подходят. А бывает, требует какую-нибудь библиотеку новой версии и начинается цирк с тоннами зависимостей и несовместимостями.

Оффлайн www777

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 2730
    • Просмотр профиля
Igor_ubuntu,
Цитировать
А не ёрничал-бы ты. А то не ровён час - приедет обновление.. Тут большая часть форума горючими слезами от обновлений полита.
И что? Всякое бывает. случись чего, приду за помощью в том числе и сюда, а ты будешь из принципа типа не помогать да?

 

Страница сгенерирована за 0.1 секунд. Запросов: 24.